# frozen_string_literal: true

require 'dentaku'
require 'open-uri'

module Zippy
  module Parser
    def self.parse(url)
      return 'Invalid URL' unless url.include? 'zippyshare'

      math = Dentaku::Calculator.new

      chalange = open(url).read.match(/"(.*?)" \+ \((.*?)\) \+ "(.*?)"/)
      result = chalange[1] + math.evaluate(chalange[2]).to_s + chalange[3]

      "http://#{url.split('/')[2]}#{result}"
    end
  end
end
